WingzParserInternal::Spreadsheet Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
WingzParserInternal::Spreadsheet Struct Reference

Internal: the spreadsheet data of a WingzParser. More...

## Public Member Functions
| Spreadsheet ()
| constructor More...
float | getRowHeight (int row) const
| returns the row size in point More...
std::vector< float > | convertInPoint (std::vector< float > const &list) const
| convert the m_widthCols in a vector of of point size More...
void | update (Cell &cell) const
| update the cell, ie. look if there is a avalaible formula, ... More...

## Public Attributes
float | m_widthDefault
| the default column width More...
std::vector< float > | m_widthCols
| the column size in points More...
float | m_heightDefault
| the default row height More...
std::vector< float > | m_heightRows
| the row height in points More...
std::vector< Cell > | m_cells
| the list of not empty cells More...
std::map< int, MWAWCellContent::FormulaInstruction > | m_cellIdPosMap
| the map cellId to cellPos More...
std::map< int, std::vector< MWAWCellContent::FormulaInstruction > > | m_formulaMap
| the list of formula More...
std::map< int, Style > | m_styleMap
| the list of style More...
std::string | m_name
| the spreadsheet name More...

## Protected Member Functions
Vec2i | getRightBottomPosition () const
| returns the last Right Bottom cell position More...

## Detailed Description

Internal: the spreadsheet data of a WingzParser.

## Constructor & Destructor Documentation

WingzParserInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

constructor

## Member Function Documentation

std::vector<float> WingzParserInternal::Spreadsheet::convertInPoint | ( | std::vector< float > const & | list | ) | const
| inline

convert the m_widthCols in a vector of of point size

Referenced by WingzParser::sendSpreadsheet().

Vec2i WingzParserInternal::Spreadsheet::getRightBottomPosition | ( |  | ) | const
| inlineprotected

returns the last Right Bottom cell position

Referenced by convertInPoint().

float WingzParserInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

Referenced by WingzParser::sendSpreadsheet().

void WingzParserInternal::Spreadsheet::update | ( | Cell & | cell | ) | const

update the cell, ie. look if there is a avalaible formula, ...

Referenced by WingzParser::sendSpreadsheet().

## Member Data Documentation

std::map<int, MWAWCellContent::FormulaInstruction> WingzParserInternal::Spreadsheet::m_cellIdPosMap

the map cellId to cellPos

std::vector<Cell> WingzParserInternal::Spreadsheet::m_cells

the list of not empty cells

Referenced by WingzParser::sendSpreadsheet().

std::map<int, std::vector<MWAWCellContent::FormulaInstruction> > WingzParserInternal::Spreadsheet::m_formulaMap

the list of formula

Referenced by update().

float WingzParserInternal::Spreadsheet::m_heightDefault

the default row height

Referenced by getRowHeight().

std::vector<float> WingzParserInternal::Spreadsheet::m_heightRows

the row height in points

Referenced by getRowHeight().

std::string WingzParserInternal::Spreadsheet::m_name

the spreadsheet name

Referenced by WingzParser::sendSpreadsheet().

std::map<int, Style> WingzParserInternal::Spreadsheet::m_styleMap

the list of style

std::vector<float> WingzParserInternal::Spreadsheet::m_widthCols

the column size in points

Referenced by WingzParser::sendSpreadsheet().

float WingzParserInternal::Spreadsheet::m_widthDefault

the default column width

Referenced by convertInPoint().

The documentation for this struct was generated from the following file:

- WingzParser.cxx